import sqlite3
from flask import render_template
from __main__ import app

@app.route("/database")
def database():
    con = sqlite3.connect("kver.db")
    cursor = con.cursor()

    # cursor.execute("INSERT INTO movie VALUES (?, ?, ?)", ("Erster Film", 1900, 8.2))
    # con.commit()

    res = cursor.execute("SELECT name FROM sqlite_master WHERE type='table';")

    return render_template("database.html", tables=res.fetchall())

# !!! USER VALUE IN SQL STATEMENT !!!
@app.route("/database/<table>")
def db_table(table):

    con = sqlite3.connect("kver.db")
    cursor = con.cursor()

    # cursor.execute("INSERT INTO movie VALUES (?, ?, ?)", ("Erster Film", 1900, 8.2))
    # con.commit()

    # columns = cursor.execute("SELECT sql FROM sqlite_master WHERE type='table' AND name=?;", [table])
    # !!! USER VALUE IN SQL-STATEMENT !!!
    data = cursor.execute(f"SELECT * FROM {table};")

    return render_template("database_table.html", data=data.fetchall())
